org.bouncycastle.jce.provider

## Class JDKMessageDigest

- java.lang.Object
- - java.security.MessageDigestSpi
  - - java.security.MessageDigest
    - - org.bouncycastle.jce.provider.JDKMessageDigest

Direct Known Subclasses:
  JDKMessageDigest.GOST3411, JDKMessageDigest.MD2, JDKMessageDigest.MD4, JDKMessageDigest.MD5, JDKMessageDigest.RIPEMD128, JDKMessageDigest.RIPEMD160, JDKMessageDigest.RIPEMD256, JDKMessageDigest.RIPEMD320, JDKMessageDigest.SHA1, JDKMessageDigest.SHA224, JDKMessageDigest.SHA256, JDKMessageDigest.SHA384, JDKMessageDigest.SHA512, JDKMessageDigest.Tiger, JDKMessageDigest.Whirlpool

    public class JDKMessageDigest
    extends java.security.MessageDigest

### Nested Class Summary

Nested Classes
`static class` `JDKMessageDigest.GOST3411`
`static class` `JDKMessageDigest.MD2`
`static class` `JDKMessageDigest.MD4`
`static class` `JDKMessageDigest.MD5`
`static class` `JDKMessageDigest.RIPEMD128`
`static class` `JDKMessageDigest.RIPEMD160`
`static class` `JDKMessageDigest.RIPEMD256`
`static class` `JDKMessageDigest.RIPEMD320`
`static class` `JDKMessageDigest.SHA1` classes that extend directly off us.
`static class` `JDKMessageDigest.SHA224`
`static class` `JDKMessageDigest.SHA256`
`static class` `JDKMessageDigest.SHA384`
`static class` `JDKMessageDigest.SHA512`
`static class` `JDKMessageDigest.Tiger`
`static class` `JDKMessageDigest.Whirlpool`

### Constructor Summary

Constructors
`protected` `JDKMessageDigest(Digest digest)`

### Method Summary

Methods
`byte[]` `engineDigest()`
`void` `engineReset()`
`void` `engineUpdate(byte input)`
`void` `engineUpdate(byte[] input, int offset, int len)`

### Methods inherited from class java.security.MessageDigest

`clone, digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update, update`

### Methods inherited from class java.security.MessageDigestSpi

`engineDigest, engineGetDigestLength, engineUpdate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JDKMessageDigest

    protected JDKMessageDigest(Digest digest)

### Method Detail

#### engineReset

    public void engineReset()

Specified by:
  `engineReset` in class `java.security.MessageDigestSpi`

#### engineUpdate

    public void engineUpdate(byte input)

Specified by:
  `engineUpdate` in class `java.security.MessageDigestSpi`

#### engineUpdate

    public void engineUpdate(byte[] input,
                    int offset,
                    int len)

Specified by:
  `engineUpdate` in class `java.security.MessageDigestSpi`

#### engineDigest

    public byte[] engineDigest()

Specified by:
  `engineDigest` in class `java.security.MessageDigestSpi`